> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Brand

> Update a brand within a project. Changes to name, regex, or aliases trigger a background recalculation of metrics. While recalculation is in progress, further updates to these fields are blocked (409 Conflict) until it completes.



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json patch /brands/{brand_id}
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /brands/{brand_id}:
    patch:
      tags:
        - Project
      summary: Update Brand
      description: >-
        Update a brand within a project. Changes to name, regex, or aliases
        trigger a background recalculation of metrics. While recalculation is in
        progress, further updates to these fields are blocked (409 Conflict)
        until it completes.
      operationId: patchBrandsByBrand_id
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  description: Triggers metric recalculation when changed
                  type: string
                  minLength: 1
                regex:
                  description: Triggers metric recalculation when changed
                  nullable: true
                  type: string
                aliases:
                  description: Triggers metric recalculation when changed
                  type: array
                  items:
                    type: string
                domains:
                  type: array
                  items:
                    type: string
                color:
                  description: 'Hex color like #1A2B3C'
                  type: string
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  description: Triggers metric recalculation when changed
                  type: string
                  minLength: 1
                regex:
                  description: Triggers metric recalculation when changed
                  nullable: true
                  type: string
                aliases:
                  description: Triggers metric recalculation when changed
                  type: array
                  items:
                    type: string
                domains:
                  type: array
                  items:
                    type: string
                color:
                  description: 'Hex color like #1A2B3C'
                  type: string
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  description: Triggers metric recalculation when changed
                  type: string
                  minLength: 1
                regex:
                  description: Triggers metric recalculation when changed
                  nullable: true
                  type: string
                aliases:
                  description: Triggers metric recalculation when changed
                  type: array
                  items:
                    type: string
                domains:
                  type: array
                  items:
                    type: string
                color:
                  description: 'Hex color like #1A2B3C'
                  type: string
      responses:
        '200':
          description: Brand updated successfully
          content:
            application/json:
              schema:
                type: object
                properties: {}
                description: Brand updated successfully
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '409':
          description: >-
            The brand name already exists, or the brand is currently being
            recomputed and cannot be updated until the recalculation completes
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
                description: >-
                  The brand name already exists, or the brand is currently being
                  recomputed and cannot be updated until the recalculation
                  completes
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````